Mood Browser

Mood Browser 1.3

I would suggest that you would have Xcode installed on your Mac
 
1.3 (See all)
ExtremeHackers

There are still a few minor bugs in version 1.3 Version 1.3 ------------------- - Full Screen Ability - Screen Adjusting - Crashes Version 1.4 -------------------- - Fixing all of the above Why do we suggest you to have Xcode installed on your Mac? ------------------------------------------------------------------------------------------ The reason why we highly suggest you have Xcode installed on your Mac is incase the program crashes and gives you an error you can talk to one of our helpers who will help you fix the problem.

Info updated on: